Webhooks
Update webhook
Update a webhook subscription’s URL or its subscribed events.
PATCH
/
api
/
admin
/
webhooks
/
{id}
Update webhook
curl --request PATCH \
--url https://{instance}.{env}.on-hellgate.cloud/api/admin/webhooks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"events": [],
"url": "<string>"
}
'import requests
url = "https://{instance}.{env}.on-hellgate.cloud/api/admin/webhooks/{id}"
payload = {
"events": [],
"url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({events: [], url: '<string>'})
};
fetch('https://{instance}.{env}.on-hellgate.cloud/api/admin/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"events": [
"<string>"
],
"inserted_at": "2023-11-07T05:31:56Z",
"masked_hmac_key": "abc12xxxxx",
"updated_at": "2023-11-07T05:31:56Z",
"url": "<string>"
}{
"classifier": "NOT_FOUND",
"code": 404,
"message": "The requested resource does not exist"
}{
"classifier": "NOT_FOUND",
"code": 404,
"message": "The requested resource does not exist"
}{
"classifier": "NOT_FOUND",
"code": 404,
"message": "The requested resource does not exist"
}{
"classifier": "VALIDATION_ERROR",
"code": 422,
"validation_errors": [
{
"message": "must be a positive integer",
"path": "limit"
}
]
}Authorizations
HS256-signed JWT bearer token, obtained via the OAuth2 client-credentials grant (see Authentication).
Path Parameters
Body
application/json
Update attributes
Event types this endpoint is subscribed to. Must contain at least one.
Minimum array length:
1Available options:
decision.allow, decision.block, decision.review, decision.provisional, decision.async.allow, decision.async.block, decision.async.review HTTPS URL that Specter delivers event notifications to.
⌘I
Update webhook
